#
# spec file for package lxappearance-obconf
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxappearance-obconf
Version:        0.2.3
Release:        bp154.1.50
Summary:        Lxappearance Plugin to Configure Openbox
License:        GPL-2.0
Group:          System/GUI/LXDE
Url:            http://www.lxde.org/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(lxappearance)
BuildRequires:  pkgconfig(obrender-3.5)
BuildRequires:  pkgconfig(obt-3.5)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
Requires:       lxappearance
Requires:       openbox
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%lang_package

%description
ObConf is a program used to configure OpenBox window manager developed
by Dana Jansens, Tim Riley, and Javeed Shaikh. LXAppearance is a tool
used to configure look and feels of the desktop written by Hong Jen Yee
for LXDE project. This plugin is derived from ObConf as an attempt to
integrate obconf with LXAppearance to provide a better user experience.
Most of the source code are taken from ObConf written by its authors
with some modifications added by LXAppearance developers to make it a
plugin.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install
rm %{buildroot}/%{_libdir}/lxappearance/plugins/*.{a,la}
%find_lang %{name}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG COPYING README
%{_libdir}/lxappearance/plugins
%dir %{_datadir}/lxappearance/obconf
%{_datadir}/lxappearance/obconf/obconf.glade

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sun Dec 25 2016 trcs@gmx.com
- new upstream version 0.2.3
  * Add compilation notes into README file
  * Fix wrong package name in the configure help text
  * Replace forged HAVE_OPENBOX_3_5_2 with standard
    RR_CHECK_VERSION(3,5,2)
  * Correct right parameters for macro RR_CHECK_VERSION()
  * Translation updates
* Thu Sep 25 2014 andrea@opensuse.org
- added pkgconfig(ice) and pkgconfig(sm) to build requires
* Tue Sep 16 2014 trcs@gmx.com
- new upstream version 0.2.2
  * Include autogen.sh into distribution
  * Update .gitignore file - remove redudant entries
  * Remove unused file config.rpath
  * Fix crash in preview of theme with zero window border width
  * Fix compilation warnings
  * Remove autogenerated files from GIT tree
  * Add --enable-debug option to configure script
  * Use macro AM_MAINTAINER_MODE correct way - with ([enable])
  * New files added from LXDE Pootle server based on templates
  * Translation updates
- split lang package
* Sun Jan  5 2014 trcs@gmx.com
- removed patch lxappearance-obconf-0.2.0-RrTheme.patch
- updated to released upstream version 0.2.1
  * this release is mostly a maintenance release, making sure the
    code base builds and keeping it in sync and working with both
    OpenBox 3.5.0 and 3.5.2.
  * Complete changelog in http://blog.lxde.org/?p=1062
* Fri Sep 13 2013 i@marguerite.su
- fix build with openbox 3.5.2
- upstream bug sf#3614951
- add patch: lxappearance-obconf-0.2.0-RrTheme.patch
* Tue May 29 2012 andrea@opensuse.org
- updated to released upstream version 0.2.0
- removed not needed patches now in upsteam code
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sun Aug 14 2011 gber@opensuse.org
- update to latest git snapshot (0.1.1.99+git20110814)
  - Openbox 3.5 support
- added missing authors, license, and readme file
- added lxappearance-obconf-fix-error-handling.patch to correctly
  handle errors when saving config files
- added lxappearance-obconf-fix-incomplete-rename.patch in order to
  fix the incomplete renaming of symbols
* Sun Jul 24 2011 andrea@opensuse.org
- New package
